[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

dist-upgrade using http://pkg-kde.alioth.debian.org/kde-3.4.0/


I want to install KDE 3.4 on my PC using Debian apt-get.

I followed the wiki at


added the line

deb http://pkg-kde.alioth.debian.org/kde-3.4.0/ ./

to /etc/apt/sources.list and did a dist-upgrade.

I get the following message:

The following packages have been kept back:
  kdenetwork-kfile-plugins kernel-image-2.4.18-bf2.4 nvidia-glx
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.

The packages kernel-image-2.4.18-bf2.4 and nvidia-glx are held back manually by my selections, but if I try

apt-get install kdenetwork-kfile-plugins

I get a message ending

The following packages have unmet dependencies:
kdenetwork-kfile-plugins: Depends: kdelibs4 (>= 4:3.4.0) but 4:3.3.2-6 is to be installed

FYI, I have done

apt-get install kde

and the version of the kde metapackage is 5:44. I think my existing KDE installation 3.3.2 is whole and unbroken.

apt-get install -t unstable kde

brings the message

kde is already the newest version.

My /etc/apt/preferences file has the following settings:
Package: *
Pin: release a=stable
Pin-Priority: 500

Package: *
Pin: release a=testing
Pin-Priority: 600

Package: *
Pin: release a=unstable
Pin-Priority: 50


What must I do to upgrade to KDE 3.4 on my PC?

Please copy replies to my email address.

Thank you.

  25 May 05
Dr R (Chandra) Chandrasekhar
Adjunct Senior Lecturer
M018, Centre for Intelligent Information Processing Systems (CIIPS)
School of Electrical, Electronic and Computer Engineering
The University of Western Australia
35 Stirling Highway, Crawley, WA 6009, AUSTRALIA
Phone: +61-(8)-6488-1905  Fax: +61-(8)-6488-1168
email: chandra@ee.uwa.edu.au
CRICOS Provider Code: 00126G

Reply to: